Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class Adjustment

    java.lang.Object
      com.bea.commerce.ebusiness.price.quote.Adjustment

All Implemented Interfaces
  Serializable

Direct Known Subclasses:
  LineAdjustment, OrderAdjustment

Deprecated See BEA Commerce product offering

    @Deprecated
    public abstract class Adjustment

extends Object
implements Serializable

Represents an adjustment to a Quote object. An adjustment must have the same currency for all money values. Attempts to violate the single currency rule will produce CurrencyMismatchExceptions.

See Also
  Serialized Form

Field Summary
`protected List` | `details` Deprecated See BEA Commerce product offering
`protected boolean` | `isSet` Deprecated See BEA Commerce product offering
`protected AdjustmentType` | `type` Deprecated See BEA Commerce product offering

Constructor Summary
`protected` | `Adjustment()` Deprecated See BEA Commerce product offering
`protected` | `Adjustment(AdjustmentType aType, Money aBasePrice)` Deprecated See BEA Commerce product offering
`protected` | `Adjustment(Money aBasePrice)` Deprecated See BEA Commerce product offering

Method Summary
`protected void` | `addDetail(AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`protected boolean` | `checkCurrency(AdjustmentDetail detail)` Deprecated See BEA Commerce product offering
`protected boolean` | `checkCurrency(Money value)` Deprecated See BEA Commerce product offering
`protected boolean` | `checkCurrency(String value)` Deprecated See BEA Commerce product offering
`protected void` | `computeAdjustmentAmount()` Deprecated See BEA Commerce product offering
`Money` | `getActualPrice()` Deprecated See BEA Commerce product offering
`Money` | `getAdjustmentAmount()` Deprecated See BEA Commerce product offering
`Money` | `getBasePrice()` Deprecated See BEA Commerce product offering
`String` | `getCurrency()` Deprecated See BEA Commerce product offering
`List` | `getDetails()` Deprecated See BEA Commerce product offering
`AdjustmentType` | `getType()` Deprecated See BEA Commerce product offering
`protected void` | `init()` Deprecated See BEA Commerce product offering
`protected void` | `markModified()` Deprecated See BEA Commerce product offering
`protected void` | `reset()` Deprecated See BEA Commerce product offering
`protected double` | `roundBasePrice(double value)` Deprecated See BEA Commerce product offering
`void` | `set(AdjustmentType aType, Money aBasePrice)` Deprecated See BEA Commerce product offering
`void` | `set(Money aBasePrice)` Deprecated See BEA Commerce product offering
`protected void` | `setActualPrice(Money anActualPrice)` Deprecated See BEA Commerce product offering
`protected void` | `setAdjustmentAmount(double value)` Deprecated See BEA Commerce product offering
`protected void` | `setType(AdjustmentDetail aDetail)` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering
`static String` | `toString(List adjustments)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    protected AdjustmentType type

  Deprecated See BEA Commerce product offering

### details

    protected List details

  Deprecated See BEA Commerce product offering

### isSet

    protected boolean isSet

  Deprecated See BEA Commerce product offering

Constructor Detail

### Adjustment

    protected Adjustment()

  Deprecated See BEA Commerce product offering

### Adjustment

    protected Adjustment(Money aBasePrice)

  Deprecated See BEA Commerce product offering

### Adjustment

    protected Adjustment(AdjustmentType aType,
                         Money aBasePrice)

  Deprecated See BEA Commerce product offering

Method Detail

### init

    protected void init()

  Deprecated See BEA Commerce product offering

### reset

    protected void reset()

  Deprecated See BEA Commerce product offering

### set

    public void set(AdjustmentType aType,
                    Money aBasePrice)

  Deprecated See BEA Commerce product offering

  Set the Adjustment object with the specified values.

  Parameters
    `aType` - the AdjustmentType for this adjustment.
    `aBasePrice` - the base price for the Adjustment.
  See Also
    `AdjustmentType`

### set

    public void set(Money aBasePrice)

  Deprecated See BEA Commerce product offering

  Set the Adjustment object with the specified value.

  Parameters
    `aBasePrice` - the base price for the Adjustment.

### getActualPrice

    public final Money getActualPrice()

  Deprecated See BEA Commerce product offering

  Returns the actual price for this Adjustment.

### getAdjustmentAmount

    public final Money getAdjustmentAmount()

  Deprecated See BEA Commerce product offering

  Returns the amount that this adjustment affects the price of it's parent. The computation of this amount may be modified by subclasses. The default computation of adjustment amount is base price - actual price.

### getBasePrice

    public final Money getBasePrice()

  Deprecated See BEA Commerce product offering

  Return the base price for the Adjustment.

### getType

    public final AdjustmentType getType()

  Deprecated See BEA Commerce product offering

  Return the AdjustmentType for this Adjustment

  See Also
    `AdjustmentType`

### getDetails

    public List getDetails()

  Deprecated See BEA Commerce product offering

  Return an unmodifiable list of the AdjustmentDetails for this Adjustment.

  See Also
    `AdjustmentDetail`

### getCurrency

    public final String getCurrency()

  Deprecated See BEA Commerce product offering

  Returns the currency for this adjustment. All money values for this adjustment are of this currency

### roundBasePrice

    protected double roundBasePrice(double value)

  Deprecated See BEA Commerce product offering

  Provides a means to round the base price amount. Subclasses may want different rounding strategies applied and since basePrice is immutable we must round it prior to setting it. The default behavior is not to round the value at all, subclasses should override as necessary.

  Parameters
    `value` - Money amount to be rounded

### setActualPrice

    protected final void setActualPrice(Money anActualPrice)

  Deprecated See BEA Commerce product offering

  copy the given Money value into our actualPrice object. a call to addDetail() should call this method.

### computeAdjustmentAmount

    protected void computeAdjustmentAmount()

  Deprecated See BEA Commerce product offering

  Computes the amount of adjustment. This method may be overridden by subclasses to provide different computations when the quantity of items is different from 1. Adjustment value is positive for an adjustment that lowers the price of the item, thus a positive value indicates a discount while a negative value indicates an additional charge.

### setAdjustmentAmount

    protected final void setAdjustmentAmount(double value)

  Deprecated See BEA Commerce product offering

  Sets the amount of the adjustmentAmount field.

### markModified

    protected final void markModified()

  Deprecated See BEA Commerce product offering

  Mark the Adjustment as modified so that the immutable ImmutableMoney objects returned from getXXXPrice() can be generated

### addDetail

    protected void addDetail(AdjustmentDetail aDetail)

  Deprecated See BEA Commerce product offering

  Adding a detail changes the adjustment type to match the detail. Subclasses can override this behavior by modifying the setType() method.

### setType

    protected void setType(AdjustmentDetail aDetail)

  Deprecated See BEA Commerce product offering

  called by addDetail() to set the type of this adjustment. Subclasses may override to get desired behavior.

### checkCurrency

    protected final boolean checkCurrency(Money value)

  Deprecated See BEA Commerce product offering

  Compare the currency of the money specified with the currency of previous money objects in this instance.

  Parameters
    `value` - a money object to be compared to the current value
  Returns
    true if this is the first money object to be checked or if the current currency value matches the currency value of the money specified.

### checkCurrency

    protected final boolean checkCurrency(String value)

  Deprecated See BEA Commerce product offering

### checkCurrency

    protected final boolean checkCurrency(AdjustmentDetail detail)

  Deprecated See BEA Commerce product offering

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Provides a string representation of this object. This method is intended for debugging and may change at any time.

  Overrides:
    `toString` in class `Object`

### toString

    public static String toString(List adjustments)

  Deprecated See BEA Commerce product offering

  Provides a string representation for a List of Adjustments. This method is intended for debugging and may change at any time.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved